# Module `posix.glob`

Generate pathnames matching a shell-style pattern.

Functions generating a table of filenames that match a shell-style pattern string.

## Functions

glob ([pat="*"]) | Find all files in this directory matching a shell pattern.

## Functions

glob ([pat="*"])
  Find all files in this directory matching a shell pattern.

  ### Parameters:

  - pat string shell glob pattern (default "*")

  ### Returns:

  table matching filenames

  ### See also:

  - glob(3)
  - glob.lua

generated by LDoc 1.4.3 Last updated 2016-02-27 14:10:34